<?php
/*********************************************************************************
 * The contents of this file are subject to the TimeTrex Public License Version
 * 1.1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.TimeTrex.com/TPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by TimeTrex" logo and
 *    (ii) the TimeTrex copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: TimeTrex Open Source
 * The Initial Developer of the Original Code is TimeTrex Payroll Services
 * Portions created by TimeTrex are Copyright (C) 2004-2007 TimeTrex Payroll Services;
 * All Rights Reserved.
 *
 ********************************************************************************/
/*
 * $Revision: 1246 $
 * $Id: OtherFieldList.php 1246 2007-09-14 23:47:42Z ipso $
 * $Date: 2007-09-14 16:47:42 -0700 (Fri, 14 Sep 2007) $
 */
require_once('../../includes/global.inc.php');
require_once(Environment::getBasePath() .'includes/Interface.inc.php');

if ( !$permission->Check('other_field','enabled')
		OR !( $permission->Check('other_field','view') OR $permission->Check('other_field','view_own') ) ) {

	$permission->Redirect( FALSE ); //Redirect
}

$smarty->assign('title', TTi18n::gettext($title = 'Other Field List')); // See index.php
BreadCrumb::setCrumb($title);

/*
 * Get FORM variables
 */
extract	(FormVariables::GetVariables(
										array	(
												'action',
												'page',
												'sort_column',
												'sort_order',
												'ids',
												'type_id'
												) ) );

URLBuilder::setURL($_SERVER['SCRIPT_NAME'],
											array(
													'type_id' => $type_id,
													'sort_column' => $sort_column,
													'sort_order' => $sort_order,
													'page' => $page
												) );

$sort_array = NULL;
if ( $sort_column != '' ) {
	$sort_array = array($sort_column => $sort_order);
}

Debug::Arr($ids,'Selected Objects', __FILE__, __LINE__, __METHOD__,10);

$action = Misc::findSubmitButton();
switch ($action) {
	case 'add':

		Redirect::Page( URLBuilder::getURL(array('type_id' => $type_id), 'EditOtherField.php', FALSE) );

		break;
	case 'delete' OR 'undelete':
		if ( strtolower($action) == 'delete' ) {
			$delete = TRUE;
		} else {
			$delete = FALSE;
		}

		$oflf = new OtherFieldListFactory();

		foreach ($ids as $id) {
			$oflf->getByIdAndCompanyId($id, $current_company->getId() );
			foreach ($oflf as $of_obj) {
				$of_obj->setDeleted($delete);
				$of_obj->Save();
			}
		}

		Redirect::Page( URLBuilder::getURL(array('type_id' => $type_id), 'OtherFieldList.php') );

		break;

	default:
		$oflf = new OtherFieldListFactory();

		$oflf->getByCompanyId($current_company->getId(), $current_user_prefs->getItemsPerPage(), $page, NULL, $sort_array );

		$pager = new Pager($oflf);

		//Get types
		$off = new OtherFieldFactory();
		$type_options = $off->getOptions('type');

		foreach ($oflf as $obj) {

			$rows[] = array(
								'id' => $obj->getId(),
								'type_id' => $obj->getType(),
								'type' => $type_options[$obj->getType()],
								'other_id1' => $obj->getOtherID1(),
								'other_id2' => $obj->getOtherID2(),
								'other_id3' => $obj->getOtherID3(),
								'other_id4' => $obj->getOtherID4(),
								'other_id5' => $obj->getOtherID5(),
//								'user_id' => $wage->getUser(),
//								'type' => Option::getByKey($wage->getType(), $wage->getOptions('type') ),
								'deleted' => $obj->getDeleted()
							);

		}
		$smarty->assign_by_ref('rows', $rows);
		$smarty->assign_by_ref('type_id', $type_id );

		$smarty->assign_by_ref('sort_column', $sort_column );
		$smarty->assign_by_ref('sort_order', $sort_order );

		$smarty->assign_by_ref('paging_data', $pager->getPageVariables() );

		break;
}
$smarty->display('company/OtherFieldList.tpl');
?>